import { computed } from "vue";
import { useStore } from "vuex";
import { useRoute } from "vue-router";
/**
 * 获取用户会员到期时间
 */
export const useExpireTime = () => {
  const store = useStore();
  const expireTime = computed(() => store.getters.getUserData.expireTime);
  return {
    expireTime,
  };
};

/**
 * 获取路由query
 * @returns
 */
export const useRouteQuery = () => {
  const route = useRoute();
  const query = route.query;
  return {
    query,
  };
};
